# Dataset$create\_next\_version

### Dataset$<mark style="color:purple;">create\_next\_version</mark>(\*, *if\_not\_exists=FALSE*) → [Dataset](/api/client-libraries/redivis-r/reference/dataset.md)

Create an unreleased "next" version on the dataset. Will throw an error if the dataset already has a next version, unless `if_not_exists` is set to True. Returns a new dataset instance representing the unreleased version.

### **Parameters:**

**`if_not_exists` :&#x20;*****bool, default FALSE***\
If FALSE (the default), this method will raise an error if the dataset already has a next version. If set to True, the error is ignored and the existing next version of the dataset is returned.

### **Returns:**&#x20;

[**Dataset**](/api/client-libraries/redivis-r/reference/dataset.md)

### Examples:

{% tabs %}
{% tab title="Create and release a version" %}

```r
dataset <- redivis$user("my_username")$dataset("My dataset")
dataset <- dataset$create_next_version()

# Support for uploading data is coming soon. See python library for alternatives.
    
dataset$release()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdcreate_next_version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
